import axios from '../../http';


/** 拿到所有的基础档案资料 **/
export function BaseALL() {
  return axios({
    url: '/eartag/baseFarmInfo/listAll',
    method: 'get'
  })
}

// 拿到卖猪房的耳标数据
export function sellEarList(data) {
  return axios({
    url: '/anquisition/manager/eartagdata/listAllSell',
    method: 'get',
    params: data
  })
}

// 判断该牧场是否可以提交售猪申请
export function isSell(data) {
  return axios({
    url: '/eartag/baseFarmInfo/getSellStauts',
    method: 'get',
    params: data
  })
}

/** 排除 **/
export function addRemovePig(data) {
  return axios({
    url: '/eartag/bizSellPigRemove/addRemovePig',
    method: 'post',
    data: data
  })
}

/** 移除排除 **/
export function removeRemovePig(data) {
  return axios({
    url: '/eartag/bizSellPigRemove/removeRemovePig',
    method: 'get',
    params: data
  })
}

/** 卖猪申请 **/
export function addSellPig(data) {
  return axios({
    url: 'eartag/bizSellPigApplyEartag/addSellPig',
    method: 'post',
    data: data
  })
}

/**  卖猪记录数量统计 **/
export function sellCollect(data) {
  return axios({
    url: '/eartag/bizSellPigApply/sellPigRecordCollect',
    method: 'get',
    params: data
  })
}

/** 卖猪记录 **/
export function sellPigRecord(data) {
  return axios({
    url: '/eartag/bizSellPigApply/sellPigRecord',
    method: 'post',
    data: data
  })
}


/** 步骤条 **/
export function sellPigRecordManage(data) {
  return axios({
    url: 'eartag/bizSellPigApply/sellPigRecordManage',
    method: 'get',
    params: data
  })
}

/** 暂存到提交 **/
export function sellUpdate(data) {
  return axios({
    url: '/eartag/bizSellPigApply/update',
    method: 'post',
    data: data
  })
}

/** 根据批次号拿到耳标 **/
export function listByBatch(data) {
  return axios({
    url: '/eartag/bizSellPigApplyEartag/listByBatch',
    method: 'get',
    params: data
  })
}
